<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>netstandard2.0</TargetFramework>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
        <DebugType>pdbonly</DebugType>
        <DebugSymbols>true</DebugSymbols>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microcharts.Forms" Version="1.0.0-preview1" />
        <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
        <PackageReference Include="SkiaSharp.Views.Forms" Version="2.80.3" />
        <PackageReference Include="Storm.Mvvm.Forms" Version="2.6.0" />
        <PackageReference Include="Xamarin.Essentials" Version="1.7.1" />
        <PackageReference Include="Xamarin.Forms" Version="5.0.0.2337" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\TimeTracker.Dtos\TimeTracker.Dtos.csproj" />
    </ItemGroup>

    <ItemGroup>
      <Compile Update="Pages\EditTaskPage.xaml.cs">
        <DependentUpon>EditTaskPage.xaml</DependentUpon>
      </Compile>
      <Compile Update="Pages\ListTasksPage.xaml.cs">
        <DependentUpon>ListTasksPage.xaml</DependentUpon>
      </Compile>
      <Compile Update="Pages\ListProjectsPage.xaml.cs">
        <DependentUpon>ListProjectsPage.xaml</DependentUpon>
      </Compile>
      <Compile Update="Pages\MainPage.xaml.cs">
        <DependentUpon>MainPage.xaml</DependentUpon>
        <SubType>Code</SubType>
      </Compile>
    </ItemGroup>

    <ItemGroup>
      <EmbeddedResource Update="Pages\EditTaskPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\EditPasswordPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\EditProfilePage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\AddProjectPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\AddTaskPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\EditTimes.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\ListProjectsPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\ListTasksPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\LoginPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\ProjectsChartPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\RegisterPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\TaskDetailPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
      <EmbeddedResource Update="Pages\TasksChartPage.xaml">
        <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
      </EmbeddedResource>
    </ItemGroup>
</Project>
